Bug 127443 - ehci returns error in /var/log/messages and usb_storage does not work
ehci returns error in /var/log/messages and usb_storage does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 06:46 EDT by Igor Pesando
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Pesando 2004-07-08 06:46:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
ehci on gigabyte MB 
lspci -v

[...]
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80) (prog-if 00 [UHCI])
        Subsystem: Giga-byte Technology GA-7VAX Mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at d000 [size=32]
        Capabilities: [80] Power Management version 2

00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80) (prog-if 00 [UHCI])
        Subsystem: Giga-byte Technology GA-7VAX Mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at d400 [size=32]
        Capabilities: [80] Power Management version 2

00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80) (prog-if 00 [UHCI])
        Subsystem: Giga-byte Technology GA-7VAX Mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at d800 [size=32]
        Capabilities: [80] Power Management version 2

00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
(prog-if 20 [EHCI])
        Subsystem: Giga-byte Technology GA-7VAX Mainboard
        Flags: bus master, medium devsel, latency 32, IRQ 12
        Memory at ea000000 (32-bit, non-prefetchable)
        Capabilities: [80] Power Management version 2

[...]

RETURNS

Jul  8 09:57:30 localhost kernel: ehci_hcd 0000:00:10.3: VIA
Technologies, Inc.
USB 2.0
Jul  8 09:57:30 localhost kernel: ehci_hcd 0000:00:10.3: irq 12, pci
mem e084e00
0
Jul  8 09:57:30 localhost kernel: ehci_hcd 0000:00:10.3: new USB bus
registered,
 assigned bus number 4
Jul  8 09:57:30 localhost kernel: ehci_hcd 0000:00:10.3: USB 2.0
enabled, EHCI 1
.00, driver 2004-May-10
Jul  8 09:57:30 localhost kernel: usb usb4: Product: VIA Technologies,
Inc. USB
2.0
Jul  8 09:57:30 localhost kernel: usb usb4: Manufacturer: Linux
2.6.6-1.435.2.3c
ustom ehci_hcd
Jul  8 09:57:30 localhost kernel: usb usb4: SerialNumber: 0000:00:10.3
Jul  8 09:57:30 localhost kernel: hub 4-0:1.0: USB hub found
Jul  8 09:57:30 localhost kernel: hub 4-0:1.0: 6 ports detected
Jul  8 09:57:31 localhost kernel: hub 1-0:1.0: connect-debounce
failed, port 1 d
isabled
Jul  8 09:57:31 localhost kernel: ehci_hcd 0000:00:10.3: port 1 reset
error -110
Jul  8 09:57:31 localhost kernel: hub 4-0:1.0: hub_port_status failed
(err = -32
)
Jul  8 09:57:31 localhost kernel: EXT3 FS on hda6, internal journal
Jul  8 09:57:31 localhost kernel: ehci_hcd 0000:00:10.3: port 1 reset
error -110
Jul  8 09:57:31 localhost kernel: hub 4-0:1.0: hub_port_status failed
(err = -32
)

and I cannot mount flash pen with usb_storage.

If I remove ehci and I only use uhci usb_storage detects the pen and I
can mount it.



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1.modprobe usb_storage
2.mount /dev/sda1 /mnt/flash ==> error

    

Additional info:

Same problem with the older FC2 kernel.
It worked fine with FC1 (also updates).

I have also tried with a custom kernel and I got the same result
Comment 1 Dave Jones 2005-04-16 00:04:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.